AnsweredAssumed Answered

recommended update is an older version?

Question asked by cottonalpaca on Jan 1, 2017
Latest reply on Jan 6, 2017 by black_zion

So I've been trying to update my drivers for months.(AMD Radeon(TM) R5 Graphics on an Acer Aspire E-15 Laptop)

 

With AMD Radeon settings, it shows me that my current driver is 16.5.1 and the new one is 16.12.1, but it always crashes in the middle, telling me an error message, which I forgot.

amd1.png

I also tried searching for the driver on the website but I can NEVER find mine. In Device Manager, all I see is «AMD Radeon(TM) R5 Graphics».

No numbers, nothing else, and all the drivers listed are things like «AMD Radeon r5 m240» or whatever.

 

Following this, I did a run of AMD's auto detecting program and it tells me the recommended update is...an older version?

amd2.png

Apparently, my current driver installed is not 16.5.1, but now suddenly 16.15 ?

 

Anyone has an idea as for why it's showing me two different driver versions and why I cannot seem to successfully update??

Outcomes